### org.jfree.layouting.layouter.style.resolver.computed

# Class ConstantsResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler`

Implemented Interfaces:
  ResolveHandler

Known Direct Subclasses:
  BackgroundBreakResolveHandler, BlockProgressionResolveHandler, BorderStyleResolveHandler, BorderWidthResolveHandler, BoxSizingResolveHandler, DirectionResolveHandler, DisplayModelResolveHandler, DisplayRoleResolveHandler, FitResolveHandler, FloatDisplaceResolveHandler, FloatResolveHandler, FontEffectResolveHandler, FontEmphasizePositionResolveHandler, FontEmphasizeStyleResolveHandler, FontFamilyResolveHandler, FontSizeResolveHandler, FontStretchResolveHandler, FontStyleResolveHandler, IndentEdgeResetResolveHandler, LineStackingStrategyResolveHandler, ListOfConstantsResolveHandler, ListStylePositionResolveHandler, ListStyleTypeResolveHandler, MinMaxFontSizeResolveHandler, PositionResolveHandler, QuotesResolveHandler, TargetNameResolveHandler, TargetNewResolveHandler, TargetPositionResolveHandler, TextAlignLastResolveHandler, TextAlignResolveHandler, TextDecorationWidthResolveHandler, TextHeightResolveHandler, TextJustifyResolveHandler, TextJustifyTrimResolveHandler, TextOverflowModeResolveHandler, TextTransformResolveHandler, TextWrapResolveHandler, VerticalAlignResolveHandler, WhitespaceCollapseResolveHandler, WordBreakResolveHandler, WordWrapResolveHandler

`public abstract class ConstantsResolveHandler`
`extends java.lang.Object`
`implements ResolveHandler`

Creation-Date: 11.12.2005, 23:15:57

Author:
  Thomas Morgner

  ## Constructor Summary

  `ConstantsResolveHandler()`

  ## Method Summary

  `protected void`

  `addNormalizeValue(CSSConstant constant)`

  `protected void`

  `addValue(CSSConstant constant, CSSValue value)`

  `CSSValue`

  `getFallback()`

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  `protected CSSValue`

  `lookupValue(CSSConstant value)`

  `void`

  `resolve(LayoutProcess process, LayoutElement currentNode, StyleKey key)`
    Resolves a single property.

  `protected CSSValue`

  `resolveValue(LayoutProcess process, LayoutElement currentNode, StyleKey key)`

  `protected void`

  `setFallback(CSSValue fallback)`

## Constructor Details

### ConstantsResolveHandler

    protected ConstantsResolveHandler()

## Method Details

### addNormalizeValue

    protected void addNormalizeValue(CSSConstant constant)

### addValue

    protected void addValue(CSSConstant constant,
                            CSSValue value)

### getFallback

    public CSSValue getFallback()

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Returns:
>   the array of required style keys.

### lookupValue

    protected CSSValue lookupValue(CSSConstant value)

### resolve

    public void resolve(LayoutProcess process,
                        LayoutElement currentNode,
                        StyleKey key)

> Resolves a single property.
> Specified by:
>   resolve in interface ResolveHandler
> Parameters:
>   `currentNode` -

### resolveValue

    protected CSSValue resolveValue(LayoutProcess process,
                                    LayoutElement currentNode,
                                    StyleKey key)

### setFallback

    protected void setFallback(CSSValue fallback)